package com.qiaoba.common.base.code;

import lombok.Getter;

/**
 * 系统配置错误code
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/12 13:34
 */
@Getter
public enum ConfigErrorCode {

    /**
     * 系统内置-禁止删除
     */
    SYS_NOT_ALLOW_DELETE(5020, "系统内置不允许删除！"),

    /**
     * Key已存在
     */
    KEY_EXIST(5021, "参数键名已存在, 操作失败！");

    private final Integer code;
    private final String msg;

    ConfigErrorCode(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
